[Rd] make error for R 2.13.0 (and 2.12.0)

Tom "spot" Callaway tcallawa at redhat.com
Mon Nov 22 19:46:01 CET 2010

On 11/05/2010 07:59 AM, Johann Hibschman wrote:
> "Tom \"spot\" Callaway" <tcallawa at redhat.com> writes:
>> Full build log is here:
>> http://koji.fedoraproject.org/koji/getfile?taskID=2571563&name=build.log
>> Default gcc in RHEL 4 is 3.4.6-10, which has g77 rather than gfortran.
>> It looks like this code no longer compiles properly with g77.
>> Thankfully, RHEL 4 also includes a copy of gcc 4.1, so I should be able
>> to work around this by using that instead.
> Did you have any luck with this?  I'm also stuck on RHEL 4, also facing
> that same error, but I've not been able to find gfortran anywhere on the
> system.

Yes, I was able to get this working by installing the gcc4-gfortran and
gcc4-c++ packages on RHEL 4, and setting CC=gcc4, CXX=g++4, FC=gfortran
and F77=gfortran.

I pushed this package into EPEL (http://fedoraproject.org/wiki/EPEL), so
if you'd rather just use my builds instead of trying your own, 2.12.0 is
available now.

( For this specific update, see:
https://admin.fedoraproject.org/updates/R-2.12.0-1.el4.1 )



More information about the R-devel mailing list